be.fgov.ehealth.consultrn._1_0.protocol

## Class SearchPhoneticRequest

- java.lang.Object
- - be.fgov.ehealth.commons._1_0.protocol.RequestType
  - - be.fgov.ehealth.consultrn._1_0.protocol.ConsultRnRequestType
    - - be.fgov.ehealth.consultrn._1_0.protocol.SearchPhoneticRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:07:12+02:00",
                 comments="JAXB RI v2.2.11")
      public class SearchPhoneticRequest
      extends ConsultRnRequestType
      implements Serializable

  request to service searchPhonetic

  Java class for SearchPhoneticRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SearchPhoneticRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:consultRN:1_0:protocol}ConsultRnRequestType">
             <sequence>
               <element name="PhoneticCriteria" type="{urn:be:fgov:ehealth:consultRN:1_0:protocol}PhoneticCriteriaType"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchPhoneticRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PhoneticCriteriaType` | `getPhoneticCriteria()` Gets the value of the phoneticCriteria property.
    `void` | `setPhoneticCriteria(PhoneticCriteriaType value)` Sets the value of the phoneticCriteria property.

    - ### Methods inherited from class be.fgov.ehealth.consultrn._1_0.protocol.ConsultRnRequestType

      `getApplicationID, getOrganisation, setApplicationID, setOrganisation`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchPhoneticRequest

          public SearchPhoneticRequest()

  - ### Method Detail

    - #### getPhoneticCriteria

          public PhoneticCriteriaType getPhoneticCriteria()

      Gets the value of the phoneticCriteria property.
      Returns:
        possible object is `PhoneticCriteriaType`

    - #### setPhoneticCriteria

          public void setPhoneticCriteria(PhoneticCriteriaType value)

      Sets the value of the phoneticCriteria property.
      Parameters:
        `value` - allowed object is `PhoneticCriteriaType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.